LogHarbour: logging - Task #18075

Go lib: add a document ID to each entry
01/03/2024 07:07 PM - Shuvam Misra

Status: Closed Start date:
Priority: Normal Due date:
Assignee: Tushar Bhingare % Done:
Category: Estimated time:
Target version: Sprint 12 Apr

Description

The LogHarbour client (the Kafka producer) which is linked to the business application and queues the entries for insertion currently
sends the log entry in the form of a LogEntry data structure. A new field will need to be added to this data structure, called ID. This

will be a unique string, generated using the ksuid algorithm (see https:/github.com/ksuid/ksuid) The business application will not

need to change its code; this ID will be transparently added to each log entry by the client library which queues the message.

Associated revisions

Revision 1ddf9ce2 - 30/04/2024 02:49 PM - remiges-Tushar
refs #18075 add new 'id' field in logs using ksvid

Revision 7ba50fab - 30/04/2024 02:51 PM - Tushar Bhingare

Merge pull request #39 from remiges-Tushar/wsc

refs #18075 add new 'id' field in logs using ksvid

History

#1 - 01/03/2024 07:08 PM - Shuvam Misra

- Description updated

#2 - 26/03/2024 07:33 PM - Shuvam Misra
- Target version changed from Sprint 29 Mar to Sprint 12 Apr

#3 - 30/04/2024 01:36 PM - Tushar Bhingare
- % Done changed from 0 to 100
- Assignee changed from Sachin Divekar to Tushar Bhingare

- Status changed from New to In Progress

Using the ksuid algorithm, a new field named ID was added to the log structure.

#4 - 30/04/2024 01:37 PM - Tushar Bhingare

- Status changed from In Progress to Closed
